#ifndef CNUMPY_H
#define CNUMPY_H

#include "SETTINGS.h"

// (np.linspace functionality replication) [a, ..., b] with linear spacing (N total elements)
std::vector<double> linspace(const double& a, const double& b, const int& N);
// returns accumulated distances given a bunch of vectors
std::vector<double> distanceAccumulate(const std::vector<VEC3>& vs);
// (np.interm functionality replication): (sample xs, x anchors, y values)
std::vector<double> interp(const std::vector<double>& xs, const std::vector<double>& x0, const std::vector<double>& y0);
// (np.sum functionality replication)
double cNPSum(const std::vector<double>& vals);
VEC3 cNPSum(const std::vector<VEC3>& vals);

#endif